<?php

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("parse_message","mycode_table_parsing");

function mycode_table_info()
{
	return array(
		"name"			=> "MyCode Table",
		"description"	=> "Plugin for MyCode table (table,tr,td)",
		"website"		=> "http://community.mybb.com/",
		"author"		=> "Andriy Smilyanets",
		"authorsite"	=> "http://community.mybb.com/user-18581.html",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility" => "14*, 16*"
	);
}


function mycode_table_parsing($message)
{
	$simple = array(

		"#\\[tr\\](.*?)\\[/tr\\]#si" =>
			"<tr>\$1</tr>",

		"#\\[td(( width=\\d+\\%| align=(left|center|right)| colspan=\\d+| rowspan=\\d+| bgcolor=(\\#[a-f0-9]{6}|[a-z]+))*)\\](.*?)\\[/td\\]#si" =>
			"<td style=\"border-width: 1px; border-color: gray;border-style:solid;\" $1>$5</td>",

		"#\\[table(( width=\\d+\\%| align=(left|center|right))*)\\](.*?)\\[/table\\]#si" =>
			"<table style=\"border-width: 1px;border-style: solid;border-color: gray; border-spacing: 0px;\" cellpadding=5 $1>$4</table>",
	);

	$message = preg_replace(array_keys($simple),array_values($simple),$message);
}


?>
